export = [];


% AGRICULTURE

agric1 = 1;
agric2 = 2;
agric3 = 3;

load clusters.class01.mat;
clusters = { {'idx6',1,agric1}; {'idx6',2,0}; {'idx6',3,agric2}; ...
             {'idx6',4,agric3}; {'idx6',5,0}; {'idx6',6,agric2} };
coordinates = importdata('profiles.ndvi.jvilla.class01.coordinates.txt');


nclusters = size(clusters,1);
for i=1:nclusters
    idx = find( eval(clusters{i}{1}) == clusters{i}{2});
    export = [export; coordinates(idx,:) repmat(clusters{i}{3}, length(idx), 1)];
end



% CERRADO

forest = 4;
deforest = 7;
deforest_var1 = 7;
deforest_var2 = 7;
deforest_suppressed = 0;

load clusters.class04.mat;
clusters = { {'idx10',1,forest}; {'idx10',2,forest}; {'idx10',3,forest}; ...
             {'idx10',4,forest}; {'idx10',5,forest}; {'idx10',6,forest}; ...
             {'idx10',7,deforest_var1}; {'idx10',8,deforest_suppressed}; {'idx10',9,forest}; ...
             {'idx10',10,forest} };
coordinates = importdata('profiles.ndvi.jvilla.class04.coordinates.txt');


nclusters = size(clusters,1);
for i=1:nclusters
    idx = find( eval(clusters{i}{1}) == clusters{i}{2});
    export = [export; coordinates(idx,:) repmat(clusters{i}{3}, length(idx), 1)];
end

% CERRADAO

load clusters.class06.mat;
clusters = { {'idx10',1,forest}; {'idx10',2,deforest_var2}; {'idx10',3,deforest}; ...
             {'idx10',4,forest}; {'idx10',5,forest}; {'idx10',6,deforest_suppressed}; ...
             {'idx10',7,forest}; {'idx10',8,forest}; {'idx10',9,forest}; ...
             {'idx10',10,forest} };
coordinates = importdata('profiles.ndvi.jvilla.class06.coordinates.txt');


nclusters = size(clusters,1);
for i=1:nclusters
    idx = find( eval(clusters{i}{1}) == clusters{i}{2});
    export = [export; coordinates(idx,:) repmat(clusters{i}{3}, length(idx), 1)];
end




% PASTAGEM

pasture = 5;

load clusters.class13.mat;
clusters = { {'idx1',1,pasture} };
coordinates = importdata('profiles.ndvi.jvilla.class13.coordinates.txt');


nclusters = size(clusters,1);
for i=1:nclusters
    idx = find( eval(clusters{i}{1}) == clusters{i}{2});
    export = [export; coordinates(idx,:) repmat(clusters{i}{3}, length(idx), 1)];
end




% AREA URBANA

urban = 6;

load clusters.class14.mat;
clusters = { {'idx3',1,0}; {'idx3',2,0}; {'idx3',3,urban} };
coordinates = importdata('profiles.ndvi.jvilla.class14.coordinates.txt');
% 
% 
% nclusters = size(clusters,1);
% for i=1:nclusters
%     idx = find( eval(clusters{i}{1}) == clusters{i}{2});
%     export = [export; coordinates(idx,:) repmat(clusters{i}{3}, length(idx), 1)];
% end
idx = idx_isbelow_045;
export = [export; coordinates(idx,:) repmat(urban, length(idx), 1)];



% SAVE TO DISK
fid = fopen('classification.modis.merge-split.train.defor.txt', 'w');
for i=1:size(export,1)
    fprintf(fid, '%d\t%d\t%d\n', export(i,:));
end    

