dates = importdata('datelist_40-20.ddd.txt');

nclass = size(cent,1);
ndegree = size(cent,2);
ndates = size(dates,1);


poly = zeros(nclass, ndates);

for idate=1:ndates
    for deg=1:ndegree
        poly(:,idate) = poly(:,idate) + cent(:,deg)*(dates(idate)^(deg-1));
    end
end

figure; plot(dates, poly');
axis([200 600 0.2 1]);
grid on
