nsamples = 50;

nclass = max(features(:,1));

output = [];

for (class = 1:nclass)
    idx = find(features(:,1) == class);
    randlist = randperm(length(idx));
    idx_selected = idx(randlist(1:nsamples));
    
    output = [output; features(idx_selected,:)];
end


values      = output(:,2:size(output,2));
values_mean = repmat(mean(values), size(values,1), 1);
values_std  = repmat(std(values), size(values,1), 1);
output_norm = (values - values_mean)./values_std;
output_norm = [output(:,1) output_norm];
