#ifndef _DLR_H
#define _DLR_H

// size of strings
#define FNAMESIZE      1024
// for stats (visuprofile)
#define ALLPIX 'a'
#define MOYENNE 'm'
#define MOYSTD 's'
// square
#define SQR(X) ((X)*(X))

// local structure for handling acquisition dates
struct mydate {
  int y ;
  int m ;
  int d ;
  char fname[FNAMESIZE];
};

// compare 2 dates in yymmdd format

int datecmp( const void *a, const void *b ) ;

// convert DLR encoding to NDVI
void dlr2ndvi(unsigned char * inBuffer, float *ndviBuffer,
	      int npts , float nodata);


#endif
