#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "inr_color.h"
#include "inr_io.h"
#include "file_tools.h"

int inrWriteColor (char *filename,double nClass, char *fnameClass, char *fnameColor )
{
  FILE *fpHdr;

  char tmp[INRHDRBUFSIZE];
  char colorinfo[INRHDRBUFSIZE];
  char info[INRHDRBUFSIZE];
  char class[INRHDRBUFSIZE];
  char classc[INRHDRBUFSIZE];
  char color[INRHDRBUFSIZE];
  char classname[INRHDRBUFSIZE];
  char colorname[INRHDRBUFSIZE];
  char hdrname[FNAMESIZE];
  int i;
  FILE *fpColor,*fpClass;

  // defines .hdr file name
  ftChangeExtension(filename, hdrname, ".hdr");

  // opens .hdr file for writing
  fpHdr = fopen(hdrname, "rt");
  if (!fpHdr)
    return 0;

  fpClass = fopen(fnameClass, "r");
  if (!fpClass)
  {
    fprintf(stderr, "Error: could not read classlegend file '%s'.\n", fnameClass);
    return 0;
  }


  fpColor = fopen(fnameColor, "r");
  if (!fpColor)
  {
    fprintf(stderr, "Error: could not read colorlegend file '%s'.\n", fnameColor);
    return 0;
  }

  sprintf(classname,"Out of zone,");
  sprintf(colorname,"0,0,0,");
  i=0;

// read class name and corresponding color
    while (!feof(fpClass))
{
     fscanf(fpClass,"%s",class);
     strcat(classname,class);
         
     while (!feof(fpColor))
       { 
	fscanf(fpColor,"%s %s",classc,color);
        if( strstr(classc,class)!=0)
	{
	strcat(colorname,color);
	break;
	}
       }

    fclose(fpColor);
    fpColor = fopen(fnameColor, "r");
    i++;

    if(i<nClass){
      strcat(colorname,",");
      strcat(classname,",");}

    
}
    fclose(fpColor);
    fclose(fpClass);   

 sprintf(colorinfo,"classes = %lf\nclass lookup = {\n %s }\nclass names = {\n%s }\n",nClass+1,colorname,classname);

  int n=0;
  while (fgets(tmp,INRHDRBUFSIZE,fpHdr) != NULL) { 
        strcat(info,tmp);
	  n++;
      if( strstr(tmp,"sensor type")!=0){
	 strcat(info,colorinfo);}
  }
  
  fclose(fpHdr);

  fpHdr=fopen(hdrname,"wt");
  // writes .hdr data to file
  if (fputs(info, fpHdr) == EOF)
  {
    fclose(fpHdr);
     return 0;
   }

  fclose(fpHdr);
  return 1;
  }

 char* WriteClassLegend(double nClass,char *fnameClass){

 FILE *fpClass;
 char tmp[1000];
 int i;
 char class[1000];
 char classname[1000];
 char numclass[2];
 

 sprintf(tmp,"Out of zone,");
 sprintf(class,"class");

  for( i=1;i<nClass;i++)
 {
    sprintf(numclass,"%d",i);
    strcat(classname,class);
    strcat(classname,numclass);
    if(i<nClass-1)
    strcat(classname,",");
 }

  strcat(tmp,classname);

  fpClass=fopen(fnameClass,"w+");

  if (!fpClass)
  {
    fprintf(stderr, "Error: could not read colorlegend file '%s'.\n", fnameClass);
    return 0;
  }

     if (fputs(tmp,fpClass) == EOF)
      {
     fclose(fpClass);
     return 0;
     }

   fclose(fpClass);

   

   return fnameClass;
 }
