#ifndef __STR_TOOLS_H__
#define __STR_TOOLS_H__


typedef struct strList
{
  char **ptr;
  int    count;
  int    size;
} strList;

strList *strListCreate (int size);
int      strListAdd    (strList *list, char *str);
int      strListFind   (strList *list, char *str);
char    *strListGet    (strList *list, int index);
int      strListSort   (strList *list);
int      strListDestroy(strList *list);


#endif

