#ifndef __MODIS_H__
#define __MODIS_H__

#define MODIS_FNAMESIZE 1024

enum ModisSatellite {
  ModisTerra = 0,
  ModisAqua
};
typedef enum ModisSatellite ModisSatellite;

struct ModisInfo
{
  char filename[MODIS_FNAMESIZE];
  char product[MODIS_FNAMESIZE];
  int  year;
  int  day;
  ModisSatellite satellite;
};
typedef struct ModisInfo ModisInfo;

// MODIS naming convention methods
int   modisParseName  (char *filename, ModisInfo *info);
char *modisGetBaseName(char *filename, char *basename);


#endif

