%data = seq_40_20_profiles_purepixels_ndvi_class010_values';

data = importdata('profiles.ndvi.class06.values.txt')';

idx1 = ones(size(data,1), 1);
cent1 = mean(data);
[idx10, cent10, sums10] = kmeans(data, 10, 'rep', 3, 'maxiter', 250, 'display', 'iter');

cent = cent10;
idx  = idx10;


% general stats

cluster_stats = [];
for i=1:size(cent,1)
    cluster_stats = [cluster_stats sprintf('  %d: %5d pixels (%5.2f%%)\n', i, sum(idx==i), 100*sum(idx==i)/size(idx,1))];
end
cluster_stats


%plot

figure; plot(cent');



