datelist_40_20_ddd = importdata('datelist_40-20.ddd.txt');

figure;

plot(datelist_40_20_ddd, cent6(1,:)',...
     datelist_40_20_ddd, mean(cent6([3 6],:))',...
     datelist_40_20_ddd, cent6(4,:)');
title('Perfis Temporais para Agricultura (SGO)', 'FontSize', 20);
%title('a. Agriculture Temporal Profiles', 'FontSize', 20);
[LEGH,OBJH,OUTH,OUTM] = legend('Classe 1', 'Classe 2', 'Classe 3');
%[LEGH,OBJH,OUTH,OUTM] = legend('Subclass 1 (1 culture)', 'Subclass 2 (2 cultures)', 'Subclass 3');

%%cent_mean = (cent6(2,:)+cent6(3,:)+cent6(4,:)+cent6(6,:))/4;
%%cent_deforest = cent6(1,:);
cent_mean = mean(cent10([1 4:5 7:10],:));
cent_deforest = mean(cent10([3 6],:));
plot(datelist_40_20_ddd, cent_mean', 'b', datelist_40_20_ddd, cent_deforest', 'r');
title('b. Dense Savannah Temporal Profiles', 'FontSize', 20);
[LEGH,OBJH,OUTH,OUTM] = legend('Dense Savannah Mean', 'Dense Savannah Deforestation');

%set(LEGH, 'FontSize', 18);
set(LEGH, 'FontSize', 14);
axis([200 600 0.2 1]);
grid on;

ylabel('NDVI', 'FontSize', 18);
%xlabel('Dates 2000-2001', 'FontSize', 18);
xlabel('Datas 2000-2001', 'FontSize', 18);
set(gca, 'xTickMode', 'manual');
set(gca, 'xTick', [214; 245; 275; 306; 336; 367; 398; 426; 457; 487; 518; 548; 579]);
%set(gca, 'xTickLabel', ['Aug'; 'Sep'; 'Oct'; 'Nov'; 'Dec'; 'Jan'; 'Feb'; 'Mar'; 'Apr'; 'May'; 'Jun'; 'Jul'; 'Aug']);
set(gca, 'xTickLabel', ['Ago'; 'Set'; 'Out'; 'Nov'; 'Dez'; 'Jan'; 'Fev'; 'Mar'; 'Abr'; 'Mai'; 'Jun'; 'Jul'; 'Ago']);
%set(gca, 'FontSize', 16);
set(gca, 'FontSize', 14);

