#ifndef __INR_CROPLIB_H__
#define __INR_CROPLIB_H__



// INR CROP auxiliary methods
int inrCropBase(char *fnameIn, char *fnameOut, char *fnameMask, int min_x, int min_y, int max_x, int max_y);


// INR CROP major methods
int inrCrop          (char *fnameIn, char *fnameOut, int min_x, int min_y, int max_x, int max_y);
int inrCropMask      (char *fnameIn, char *fnameOut, char *fnameMask, int pos_x, int pos_y);
int inrCropGeoref    (char *fnameIn, char *fnameOut, double topleft_x, double topleft_y, double bottomright_x, double bottomright_y);
int inrCropGeorefMask(char *fnameIn, char *fnameOut, char *fnameMask);



#endif

