#ifndef __MODIS_PROP_ESTIM_H__
#define __MODIS_PROP_ESTIM_H__


struct dataPropEstim
{
  float **ref_class; /* matrix containing reflectance profiles for each class */
  float  *ref_pixel; /* array containing observed reflectances for one pixel */
  float  *prior_prob;
  int    *local_class;
  int     nClassLocal;
  int nDates;
  int nClass;
};
typedef struct dataPropEstim dataPropEstim;

void propEstimReset(dataPropEstim *propEstim, int resetRefClass);

void fonc_obj();
void fonc_grad();
void fonc_cntr();
void fonc_grcn();
void estim_prop_pix();


#endif
